#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityDoubleElevenMissionData
{
	//任务ID
	int mID;
	//任务描述
	std::string mDesc;
	//完成条件类型
	int mCompleteType;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	int mCompleteParam;
	//完成计数
	int mCompleteCount;
	//奖励物品
	int mItemID;
	//奖励数量
	int mItemCount;
};

class M_ActivityDoubleElevenMission
{
public:
private:
	static std::auto_ptr<M_ActivityDoubleElevenMission> msSingleton;
public:
	int GetCount();
	const M_ActivityDoubleElevenMissionData* GetData(int ID);
	boost::unordered_map<int, M_ActivityDoubleElevenMissionData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityDoubleElevenMission* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityDoubleElevenMissionData> mMapData;
};
